package com.seikoinstruments.sdk.mobileprinter.sample;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;

public class ConnectionInformation implements Serializable {

    transient private int mInterface;    // 1: TCP/IP, 2: BT, 3: USB
    transient private String mAddress;

    public ConnectionInformation(int type, String address) {
        this.mInterface = type;
        this.mAddress = address;
    }

    private void writeObject(ObjectOutputStream o) throws IOException {
        // Call event if there is no default serializable fields.
        o.defaultWriteObject();

        o.writeInt(mInterface);
        o.writeUTF(mAddress);
    }

    private void readObject(ObjectInputStream i) throws IOException, ClassNotFoundException {
        // Call event if there is no default serializable fields.
        i.defaultReadObject();

        mInterface = i.readInt();
        mAddress = i.readUTF();
    }

    public int getType() {
        return mInterface;
    }

    public String getAddress() {
        return mAddress;
    }
}
